Functions

# glm::gtx::transform2 Namespace Reference

GLM_GTX_transform2 extension: Add extra transformation matrices. More...

## Functions
template<typename T >
detail::tmat4x4< T > | lookAt (detail::tvec3< T > const &eye, detail::tvec3< T > const &center, detail::tvec3< T > const &up)
| Build a look at view matrix.
template<typename T >
detail::tmat3x3< T > | proj2D (const detail::tmat3x3< T > &m, const detail::tvec3< T > &normal)
| Build planar projection matrix along normal axis.
template<typename T >
detail::tmat4x4< T > | proj3D (const detail::tmat4x4< T > &m, const detail::tvec3< T > &normal)
| Build planar projection matrix along normal axis.
template<typename valType >
detail::tmat4x4< valType > | scaleBias (valType scale, valType bias)
| Build a scale bias matrix.
template<typename valType >
detail::tmat4x4< valType > | scaleBias (detail::tmat4x4< valType > const &m, valType scale, valType bias)
| Build a scale bias matrix.
template<typename T >
detail::tmat3x3< T > | shearX2D (detail::tmat3x3< T > const &m, T y)
| Transforms a matrix with a shearing on X axis.
template<typename T >
detail::tmat4x4< T > | shearX3D (const detail::tmat4x4< T > &m, T y, T z)
| Transforms a matrix with a shearing on X axis From GLM_GTX_transform2 extension.
template<typename T >
detail::tmat3x3< T > | shearY2D (detail::tmat3x3< T > const &m, T x)
| Transforms a matrix with a shearing on Y axis.
template<typename T >
detail::tmat4x4< T > | shearY3D (const detail::tmat4x4< T > &m, T x, T z)
| Transforms a matrix with a shearing on Y axis.
template<typename T >
detail::tmat4x4< T > | shearZ3D (const detail::tmat4x4< T > &m, T x, T y)
| Transforms a matrix with a shearing on Z axis.

## Detailed Description

GLM_GTX_transform2 extension: Add extra transformation matrices.

## Function Documentation

detail::tmat4x4<T> glm::gtx::transform2::lookAt | ( | detail::tvec3< T > const & | eye,
|  | detail::tvec3< T > const & | center,
|  | detail::tvec3< T > const & | up
| ) |  |

Build a look at view matrix.

From GLM_GTX_transform2 extension.

detail::tmat3x3<T> glm::gtx::transform2::proj2D | ( | const detail::tmat3x3< T > & | m,
|  | const detail::tvec3< T > & | normal
| ) |  |

Build planar projection matrix along normal axis.

From GLM_GTX_transform2 extension.

detail::tmat4x4<T> glm::gtx::transform2::proj3D | ( | const detail::tmat4x4< T > & | m,
|  | const detail::tvec3< T > & | normal
| ) |  |

Build planar projection matrix along normal axis.

From GLM_GTX_transform2 extension.

detail::tmat4x4<valType> glm::gtx::transform2::scaleBias | ( | valType | scale,
|  | valType | bias
| ) |  |

Build a scale bias matrix.

From GLM_GTX_transform2 extension.

detail::tmat4x4<valType> glm::gtx::transform2::scaleBias | ( | detail::tmat4x4< valType > const & | m,
|  | valType | scale,
|  | valType | bias
| ) |  |

Build a scale bias matrix.

From GLM_GTX_transform2 extension.

detail::tmat3x3<T> glm::gtx::transform2::shearX2D | ( | detail::tmat3x3< T > const & | m,
|  | T | y
| ) |  |

Transforms a matrix with a shearing on X axis.

From GLM_GTX_transform2 extension.

detail::tmat4x4<T> glm::gtx::transform2::shearX3D | ( | const detail::tmat4x4< T > & | m,
|  | T | y,
|  | T | z
| ) |  |

Transforms a matrix with a shearing on X axis From GLM_GTX_transform2 extension.

detail::tmat3x3<T> glm::gtx::transform2::shearY2D | ( | detail::tmat3x3< T > const & | m,
|  | T | x
| ) |  |

Transforms a matrix with a shearing on Y axis.

From GLM_GTX_transform2 extension.

detail::tmat4x4<T> glm::gtx::transform2::shearY3D | ( | const detail::tmat4x4< T > & | m,
|  | T | x,
|  | T | z
| ) |  |

Transforms a matrix with a shearing on Y axis.

From GLM_GTX_transform2 extension.

detail::tmat4x4<T> glm::gtx::transform2::shearZ3D | ( | const detail::tmat4x4< T > & | m,
|  | T | x,
|  | T | y
| ) |  |

Transforms a matrix with a shearing on Z axis.

From GLM_GTX_transform2 extension.